Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DSYRFS

    java.lang.Object
      org.netlib.lapack.DSYRFS

    public class DSYRFS

extends java.lang.Object

    DSYRFS is a simplified interface to the JLAPACK routine dsyrfs.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSYRFS improves the computed solution to a system of linear
     *  equations when the coefficient matrix is symmetric indefinite, and
     *  provides error bounds and backward error estimates for the solution.

     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  NRHS    (input) INTEGER
     *          The number of right hand sides, i.e., the number of columns
     *          of the matrices B and X.  NRHS >= 0.
     *
     *  A       (input) DOUBLE PRECISION array, dimension (LDA,N)
     *          The symmetric matrix A.  If UPLO = 'U', the leading N-by-N
     *          upper triangular part of A contains the upper triangular part
     *          of the matrix A, and the strictly lower triangular part of A

     *          is not referenced.  If UPLO = 'L', the leading N-by-N lower
     *          triangular part of A contains the lower triangular part of
     *          the matrix A, and the strictly upper triangular part of A is

     *          not referenced.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  AF      (input) DOUBLE PRECISION array, dimension (LDAF,N)
     *          The factored form of the matrix A.  AF contains the block
     *          diagonal matrix D and the multipliers used to obtain the
     *          factor U or L from the factorization A = U*D*U**T or
     *          A = L*D*L**T as computed by DSYTRF.
     *
     *  LDAF    (input) INTEGER
     *          The leading dimension of the array AF.  LDAF >= max(1,N).
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          Details of the interchanges and the block structure of D
     *          as determined by DSYTRF.
     *
     *  B       (input) DOUBLE PRECISION array, dimension (LDB,NRHS)
     *          The right hand side matrix B.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,N).
     *
     *  X       (input/output) DOUBLE PRECISION array, dimension (LDX,NRHS)
     *          On entry, the solution matrix X, as computed by DSYTRS.
     *          On exit, the improved solution matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X.  LDX >= max(1,N).
     *
     *  FERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The estimated forward error bound for each solution vector
     *          X(j) (the j-th column of the solution matrix X).
     *          If XTRUE is the true solution corresponding to X(j), FERR(j)

     *          is an estimated upper bound for the magnitude of the largest

     *          element in (X(j) - XTRUE) divided by the magnitude of the
     *          largest element in X(j).  The estimate is as reliable as
     *          the estimate for RCOND, and is almost always a slight
     *          overestimate of the true error.
     *
     *  BERR    (output) DOUBLE PRECISION array, dimension (NRHS)
     *          The componentwise relative backward error of each solution
     *          vector X(j) (i.e., the smallest relative change in
     *          any element of A or B that makes X(j) an exact solution).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (3*N)
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Internal Parameters
     *  ===================
     *
     *  ITMAX is the maximum number of steps of iterative refinement.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DSYRFS()`

Method Summary
`static void` | `DSYRFS(java.lang.String uplo, int n, int nrhs, double[][] a, double[][] af, int[] ipiv, double[][] b, double[][] x, double[] ferr, double[] berr, double[] work, int[] iwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSYRFS

    public DSYRFS()

Method Detail

### DSYRFS

    public static void DSYRFS(java.lang.String uplo,
                              int n,
                              int nrhs,
                              double[][] a,
                              double[][] af,
                              int[] ipiv,
                              double[][] b,
                              double[][] x,
                              double[] ferr,
                              double[] berr,
                              double[] work,
                              int[] iwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD